package cnv.hf.widgets;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Calendar;
import java.util.GregorianCalendar;

import android.os.Environment;
import android.util.Log;

public class HFLog {
	
	private static String mLogPath = null;

	public static String getLogPath() {
		return mLogPath;
	}

	public static void setLogPath(String path) {
		HFLog.mLogPath = path;
	}

	
	public static int output(String str, boolean bLogToFile) {
		if (bLogToFile) {
			if(mLogPath == null){
				mLogPath = Environment.getExternalStorageDirectory().getPath();
				mLogPath = mLogPath + "/NaviOne/HFDebugLog.txt";
			}
			  
			if (mLogPath != null) {	
				try {
					FileOutputStream fout = new FileOutputStream(
							mLogPath, true);
					Calendar calendar = new GregorianCalendar();
					String outPut = String.format("[%02d:%02d:%02d]    %s\r\n",
							calendar.get(Calendar.HOUR_OF_DAY), calendar
									.get(Calendar.MINUTE), calendar
									.get(Calendar.SECOND), str);
					
					System.out.println(outPut);
					fout.write(outPut.getBytes());
					// fout.flush();
					fout.close();
				} catch (FileNotFoundException e) {
					e.printStackTrace();
				} catch (IOException e) {
					e.printStackTrace();
				}
		}
		} else {
				Calendar calendar = new GregorianCalendar();
				String outPut = String.format("[%02d:%02d:%02d:%3d]    %s\r\n",
						calendar.get(Calendar.HOUR_OF_DAY), calendar
								.get(Calendar.MINUTE), calendar
								.get(Calendar.SECOND), calendar
								.get(Calendar.MILLISECOND), str);
				Log.d("CLDLOGTAG", outPut);
		}
		return 0;
	}
}
