package cnv.hf.widgets;

import cnv.hf.widgets.HFWidgetStorage.HFBaseStorage;
import cnv.hf.widgets.HFWidgetStorage.HFLayerStorage;
import cnv.hf.widgets.HFWidgetStorage.HFModeStorage;

public class HFModeLoader {
	//private final String ASSET_PATH = "/sdcard/navione/layouts/";
	private long pModeData = 0;
	private long pCurWidget = 0;
	private HFJniLoader mJniLoader = null;
	
	public HFModeLoader() {
		pModeData = 0;
		pCurWidget = 0;
		mJniLoader = new HFJniLoader();
	}
	/*======================================================
	: ģʽװģʽݵĽӿ
	:   
	    modename       [in]  ģʽ
	    
	ֵ:  ģʽݾӿڶʹáΪգʧ 
	======================================================*/
	public int loadMode(String modename) {
		//String FileName = ASSET_PATH + modename;
		//pModeData = mJniLoader.load(FileName);
		pModeData = mJniLoader.load(modename);
		return (pModeData == 0) ?  HFErrorCode.HF_ERROR_ANDROID_LOADMODE : HFErrorCode.HF_SUCCESS;
	}
	/*======================================================
	: ȡͼĽӿڣ
	:   
	    orientation   [in] Ļ
	    
	ֵ:  ͼ
	======================================================*/
	public int getNumOfLayers()	{
		return mJniLoader.getNumOfLayers(pModeData);
	}
	/*======================================================
	: ȡĻĵĽӿ
	:   
	     	
	ֵ:  Ļ
	======================================================*/
	public int getOrientation()	{
		return mJniLoader.getOrientation(pModeData);
	}
	/*======================================================
	: ʺɾѷڴĽӿ
	:   
	    in_pLayout       [in]  ģʽݾɽӿcnv_hf_Mode_Load
	======================================================*/
	public void close()	{
		if(pModeData != 0) {
			mJniLoader.close(pModeData);
		}
		pModeData = 0;
		pCurWidget = 0;
	}
	/*======================================================
	: ͼId͸õǰͼؼȡؼݵĽӿ
	:   
	    pdata       	[in]  ģʽݾɽӿcnv_hf_Mode_Load
	    layerID      	[in]  ͼID
	    pCurWidget    	[in]  ǰͼؼΪգȡͼĵһؼ
	ֵ:  ؼ
	======================================================*/
	public HFBaseStorage getNextWidgetData(int layerID) {
		pCurWidget = mJniLoader.getNextWidgetData(pModeData, layerID, pCurWidget);
		return mJniLoader.getWidgetData();
	}
	/*======================================================
	: ͨȡͼݵĽӿ
	:   
	    pdata       	[in]  ģʽݾɽӿcnv_hf_Mode_Load
	    layerIndex     	[in]  ͼ
	    
	ֵ:  =0 ɹ > 0 
	======================================================*/
	public int getLayerData(int layerIndex, HFLayerStorage player) {
		return mJniLoader.getLayerData(pModeData, layerIndex, player);
	}
	/*======================================================
	: ȡģʽϢĽӿ
	:   
	    in_pLayout       [in]  ģʽݾɽӿcnv_hf_Mode_Load
	    
	ֵ:  =0 ɹ > 0 
	======================================================*/
	public int getModeData(HFModeStorage pmode) {
		return mJniLoader.getModeData(pModeData, pmode);
	}
	/*======================================================
	: λǰָ
	:   
	               
	ֵ:  
	======================================================*/
	public void reset() {
		pCurWidget = 0;
	}

}
