package cnv.hf.widgets;

import hmi.mapctrls.HPMapAPI;
import hmi.mapctrls.HPMapView;
import hmi.packages.HPDefine.HPLRect;

import java.util.ArrayList;
import java.util.Vector;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.support.v4.app.FragmentTransaction;
import android.text.TextUtils;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.widget.AbsoluteLayout.LayoutParams;
import android.widget.ImageView;
import cnv.hf.widgets.HFDialogMessage.HFMessageBoxType;
import cnv.hf.widgets.HFDrawableWidget.HFDrawableEffect;
import cnv.hf.widgets.HFModeActivity.HFModeActivityState;
import cnv.hf.widgets.HFWidgetStorage.HFLongResult;

public class HFModesManager {
	//ͼ㼰ؼŻװصKeyֵ
	public final static String KEY_OPTIMIZED_CODE = "OPTIMIZED_REQUEST_CODE";
	//ʹýЧС汾(android 2.0)
	private final static int MIN_ANIMATION_VERSION  = 5;
	//ģʽ
	private static String mMainMode = "";
	//ģʽջ
	private static Vector<HFModeWidget> mModeStacks = null;
	//layouts·
	private static String mLaoutsPath = null;
	//װͼƬԴĽӿں
	private static HFOnLaunchDrawableInterface mOnLaunchDrawableListener = null;
	//ʱǷȫ
	private static boolean mIsFullScreen = true;
	//ĻĿ
	private static int mScreenWidth = 0;
	//Ļĸ
	private static int mScreenHeight = 0;
	//xdpi
	private static float mXdpi = 160;
	//ydpi
	private static float mYdpi = 160;
	//ǷĻСԶģʽ
	private static boolean isScaleMode = false;
	//ģʽʱĶ
	private static ArrayList<HFPendingAnimation> mPendingAnimations = null;
	//ĬϴģʽĶΪңرģʽʱҵ
	private static int mDefaultTransition = HFPendingTransition.ePendingTransition_Nothing;
	//ʱ
	private static int mTempTransition = mDefaultTransition;
	//嵱ǰǺ
	private static int mOrientation = HFOrientation.eOrientation_Unknown;
	//ͼģʽ
	private static HFMapActivity mMapMode = null;
	//ͼģʽ״̬
	private static int mMapModeState = HFModeActivityState.ActivityState_None;
	//ͼģʽɵ
	private static Class<?> mMapModeCls = null;
//	//ͼģʽɵ
//	private static Class<?> mFirstModeCls = null;
	//ϵͳ״̬߶
	private static int mStatusBarHeight = 0;
	//ģʽͼϵͳ״̬߶
	private static int mDesignBarHeight = 50;
	//ǰ״̬ǷΪSaveInstanceState״̬
	private static boolean mSaveInstanceState = false;
	//¼ť¼
	private static int mOnClickTimeInterval = 500;
	
	//added by LiangYJ 20150729
	// ͳƻصӿ
	private static HFAnalyticsListener mAnalyticsListener;
	//end
	
	/** ǰǷģʽ*/
	private static boolean mIsLandScape = false;
	
	/** һreturnModeûгɹִеģʽƣģʽonResumeʱת*/
	private static String mLastReturnMode = "";
	
	/** һη͸ضģʽϢid*/
	private static int mTargetMsgId = -1;
	/** һη͸ضģʽϢ*/
	private static Object mTargetObject = null;
	/** һη͸ضģʽ*/
	private static String mTargetMode = "";
	
	/** Ƿڴfragment*/
	public static boolean isCreatingFragment = false;
	/**
	 * OPPOֻҪ²ֹ
	 */
	public static boolean resetLayoutOnCurrentMode = true;
	/**
	 * ༭һεʱ䣬oppoֻ²
	 */
	public static long lastEditTouchTime = 0;
	/**
	 * ģʽʱǷҪÿߣOPPOֻ
	 */
	protected static boolean shouldResetScreenOnFrameCreate = false;
	/*
	 * ====================================================== :
	 * жǷҪһFragment : cls [in] Ҫģʽ ֵ: Ƿɹ
	 * ======================================================
	 */
	protected static boolean isFragment(Class<?> clazz) {
		Class<?> cls = clazz;
		while(cls != null) {
			if(cls == HFModeFragment.class) {
				return true;
			}
			cls = cls.getSuperclass();
		}
		return false;
	}

	/*
	 * ====================================================== : ͼģʽ : cls
	 * [in] ҪĲʽ ֵ: Ƿɹ
	 * ======================================================
	 */
	protected static int startFragment(Class<?> cls, Intent intent,
			int pendingTransition) {
		return startFragment(cls, intent, pendingTransition,"");
	}
	
	/*
	 * ====================================================== : ͼģʽ : cls
	 * [in] ҪĲʽ ֵ: Ƿɹ
	 * ======================================================
	 */
	protected static int startFragment(Class<?> cls, Intent intent,
			int pendingTransition,String singleTag) {
		Context context = getCurrentContext();
		//synchronized(mModeStacks){
		if(context != null && mMapModeCls != null) {
			if(mMapMode == null) {
				intent.setClass(context, mMapModeCls);
				intent.putExtra(HFMapActivity.HF_FIRST_FRAGMENT, cls);
				intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);  
				context.startActivity(intent);	
				overrideStartAnimation((Activity) context, pendingTransition);
			}
			else {
				//йЧǵǰģʽеͼõǰFrag
				HFModeWidget modeWidget = getCurrentMode();
				setFragmentBackground(modeWidget,pendingTransition);
				mMapMode.startFragment(cls, intent, pendingTransition,singleTag);
			}
		}
		//}
		return HFErrorCode.HF_SUCCESS;
	}
	
	/*
	 * ====================================================== : ģʽ :
	 * modeWidget [in]ǰģʽ pendingTransition[in] ֵ: 
	 * ======================================================
	 */
	protected static void setFragmentBackground(HFModeWidget modeWidget,
			int pendingTransition) {
		if (modeWidget != null
				&& pendingTransition != HFPendingTransition.ePendingTransition_Nothing
				&& pendingTransition != HFPendingTransition.ePendingTransition_UpDown
				&& pendingTransition != HFPendingTransition.ePendingTransition_DownUp) {
		   if(modeWidget instanceof HFModeFragment){
			   HFModeFragment frag = (HFModeFragment)modeWidget;
			   if(frag.isModeContainMapView()){
				   HFMapWidget mapWidget = frag.getMapWidget();
				   if(mapWidget != null){
					 Bitmap bitmap = null;
					 HPMapView mapView= mapWidget.getMapView();
					 HPLRect rect = new HPLRect();
					 rect.left = (0);
					 rect.top = (0);
					 rect.right = (getScreenWidth()-1);
					 rect.bottom = (getScreenHeight()-1);
					 bitmap = mapView.getMapScreenShot(rect);
					 if(bitmap != null && frag.getModeBackground() == null)
				       frag.setModeBackground(new BitmapDrawable(bitmap));
				   }
			   }
		   }
		}
	}
	/*======================================================
	: õͼģʽ
	:    clazz	[in]  ͼģʽ
	ֵ:  
	======================================================*/	
	public static void setMapModeClass(Class<?> clazz) {
		mMapModeCls = clazz;
	}
//	/*======================================================
//	: õһģʽ
//	:    clazz	[in]  ͼģʽ
//	ֵ:  
//	======================================================*/	
//	public static void setFirstModeClass(Class<?> clazz) {
//		mFirstModeCls = clazz;
//	}
//	/*======================================================
//	: ȡһģʽ
//	ֵ:  
//	======================================================*/	
//	public static Class<?> getFirstModeClass() {
//		return mFirstModeCls;
//	}
	/*======================================================
	: õͼģʽʵ
	:    clazz	[in]  ͼģʽ
	ֵ:  
	======================================================*/		
	protected static void setMapMode(HFMapActivity mapMode) {
		mMapMode = mapMode;
	}
	
	/*======================================================
	: ȡͼģʽʵ
	:    clazz	[in]  ͼģʽ
	ֵ:  
	======================================================*/
	public static HFMapActivity getMapMode(){
		return mMapMode;
	}
	/*======================================================
	: ģʽ
	:   packageContext      [in]  һģʽʵ
	        cls   				[in]  ҪĲʽ
	ֵ:  Ƿɹ
	======================================================*/
	public static int createMode(Class<?> cls) {
		
		Intent intent = new Intent();
		Context context = getCurrentContext();
		if(context != null) {
			if(isFragment(cls)) {
				startFragment(cls, intent, getDefaultTransition());
			}
			else {
				intent.setClass(context, cls);
				context.startActivity(intent);	
				overrideStartAnimation((Activity) context, getDefaultTransition());
			}
		}
		return HFErrorCode.HF_SUCCESS;
	}
	protected static Class<?> loadClass(Context context, String className) {
		Class<?> clazz = null;
		if(context != null && !TextUtils.isEmpty(className)) {
			try {
				clazz = context.getClassLoader().loadClass(className);
			} catch (ClassNotFoundException e) {
				e.printStackTrace();
			}
		}
		return clazz;
	}
	protected static Class<?> loadClass(Context context, Intent intent) {
		if(context != null && intent != null) {
			return loadClass(context, intent.getComponent().getClassName());
		}
		return null;
	}
	
	/**
	 * dinghu 2015.6.12
	 */
	/**
	 * 滻 ǵһҳ
	 * 
	 * @param cls
	 * @return
	 * @return int
	 * @author Dinghu
	 * @date 201561 5:51:38
	 */
	public static int addMode(Class<?> cls) {
		addMode(new Intent(), cls);
		return HFErrorCode.HF_SUCCESS;
	}

	/**
	 * һҳ
	 * 
	 * @param intent
	 * @param cls
	 * @return
	 * @return int
	 * @author Dinghu
	 * @date 201569 3:33:34
	 */
	public static int addMode(Intent intent, Class<?> cls) {
		Context context = getCurrentContext();
		if (context != null) {
			if (isFragment(cls)) {
				// йЧǵǰģʽеͼõǰFrag
				HFModeWidget modeWidget = getCurrentMode();
				setFragmentBackground(modeWidget, getDefaultTransition());
				mMapMode.addFragment(cls, intent, getDefaultTransition());
			}
		}
		return HFErrorCode.HF_SUCCESS;
	}
	
	/**
	 * һҳ
	 * 
	 * @param intent
	 * @param cls
	 * @return
	 * @return int
	 * @author Dinghu
	 * @date 201569 3:33:34
	 */
	public static int addMode(Intent intent, Class<?> cls,int pendingTransition) {
		return addMode(intent, cls, pendingTransition,true);
	}
	
	/**
	 * һҳ
	 * 
	 * @param intent
	 * @param cls
	 * @param hasExistAnim Ƿ˳
	 * @return
	 * @return int
	 * @author Dinghu
	 * @date 201569 3:33:34
	 */
	public static int addMode(Intent intent, Class<?> cls,int pendingTransition, boolean hasExistAnim) {
		Context context = getCurrentContext();
		if (context != null) {
			if (isFragment(cls)) {

				// йЧǵǰģʽеͼõǰFrag
				HFModeWidget modeWidget = getCurrentMode();
				setFragmentBackground(modeWidget, pendingTransition);
				mMapMode.addFragment(cls, intent, pendingTransition,hasExistAnim);
			}
		}
		return HFErrorCode.HF_SUCCESS;
	}

	/**
	 * һҳ;ݷز
	 * 
	 * @param intent
	 * @param cls
	 * @return
	 * @return int
	 * @author Dinghu
	 * @date 201569 3:33:34
	 */
	public static int addMode(Intent intent, int resultCode, Class<?> cls) {
		Context context = getCurrentContext();
		if (context != null) {
			if (isFragment(cls)) {
				if (resultCode != 0) {
					intent.putExtra(HFModeFragment.KEY_REQUEST_CODE, resultCode);
				}
				addMode(intent, cls);
			}
		}
		return HFErrorCode.HF_SUCCESS;

	}
	
	/**
	 * һҳ;ݷز
	 * 
	 * @param intent
	 * @param resultCode
	 * @param pendingTransition
	 * @param cls
	 * @return
	 * @return int
	 * @author Dinghu
	 * @date 201569 3:33:34
	 */
	public static int addMode(Intent intent, int resultCode,int pendingTransition, Class<?> cls) {
		return addMode(intent, cls, pendingTransition, true);
	}
	
	/**
	 * һҳ;ݷز
	 * 
	 * @param intent
	 * @param resultCode
	 * @param pendingTransition
	 * @param cls
	 * @param hasExistAnim Ƿ˳
	 * @return
	 * @return int
	 * @author Dinghu
	 * @date 201569 3:33:34
	 */
	public static int addMode(Intent intent, int resultCode,int pendingTransition, Class<?> cls, boolean hasExistAnim) {
		Context context = getCurrentContext();
		if (context != null) {
			if (isFragment(cls)) {
				if (resultCode != 0) {
					intent.putExtra(HFModeFragment.KEY_REQUEST_CODE, resultCode);
				}
				addMode(intent, cls, pendingTransition,hasExistAnim);
			}
		}
		return HFErrorCode.HF_SUCCESS;

	}

	/*
	 * ====================================================== : ģʽ :
	 * packageContext [in] һģʽʵ cls [in] ҪĲʽ ֵ: Ƿɹ
	 * ======================================================
	 */
	public static int createMode(Intent intent, int resultCode) {
		return createMode(intent, resultCode ,0);
	}
	
	/*
	 * ====================================================== : ģʽ :
	 * isSingle[in] Ƿǵ
	 * packageContext [in] һģʽʵ cls [in] ҪĲʽ ֵ: Ƿɹ
	 * ======================================================
	 */
	public static int createMode(Intent intent, int resultCode,String singleTag) {
		return createMode(intent, resultCode, 0, singleTag);
	}

	public static int createMode(Intent intent, int resultCode,
			int pendingTransition) {
		return createMode(intent, resultCode, pendingTransition, "");
	}
	
	public static int createMode(Intent intent, int resultCode,
			int pendingTransition,String singleTag) {
		Activity context = (Activity) getCurrentContext();
		if(context != null) {
			Class<?> clazz = loadClass(context, intent);
			if(isFragment(clazz)) {
				
				if(!TextUtils.isEmpty(singleTag)){
						returnToMode(singleTag,true);
				}
				if(resultCode != 0) {
					intent.putExtra(HFModeFragment.KEY_REQUEST_CODE, resultCode);
				}
				startFragment(clazz, intent, pendingTransition,singleTag);
			}
			else {
				if(resultCode == 0) {
					context.startActivity(intent);
				}
				else {
					context.startActivityForResult(intent, resultCode);
				}
			}
			overrideStartAnimation((Activity) context, pendingTransition);
		}
		return HFErrorCode.HF_SUCCESS;
	}
	public static int createMode(Intent intent) {
		return createMode(intent, 0);
	}
	/*======================================================
	: ģʽ
	:   cls   				[in] ҪĲʽ
	        pendingTransition	[in] ָģʽл
	ֵ:  Ƿɹ
	======================================================*/
	public static int createMode(Class<?> cls, int pendingTransition) {
		Intent intent = new Intent();
		Context context = getCurrentContext();
		if(context != null) {
			if(isFragment(cls)) {
				startFragment(cls, intent, pendingTransition);
			}
			else {
				intent.setClass(context, cls);
				context.startActivity(intent);	
				overrideStartAnimation((Activity) context, pendingTransition);
			}
		}
		return HFErrorCode.HF_SUCCESS;
	}
	/*======================================================
	: ģʽ
	:    cls   				[in] ҪĲʽ
	        IsKillPriors		[in] ģʽʱǷɱһģʽ
	ֵ:  Ƿɹ
	======================================================*/
	public static int createMode(Class<?> cls, boolean IsKillPriors, int pendingTransition) {
		
		Context context = getCurrentContext();
		if(context != null) {
			createMode(cls, pendingTransition);
			if(IsKillPriors) {
				((Activity)context).finish();
				overrideFinishAnimation((Activity) context, pendingTransition);
			}
		}
		return HFErrorCode.HF_SUCCESS;
	}
	/*======================================================
	: ģʽ
	:    cls   				[in] ҪĲʽ
	        IsKillPriors		[in] ģʽʱǷɱһģʽ
	ֵ:  Ƿɹ
	======================================================*/
	public static int createMode(Class<?> cls, boolean IsKillPriors) {
		Context context = getCurrentContext();
		if(context != null) {
			createMode(cls);
			if(IsKillPriors) {
				((Activity)context).finish();
				overrideFinishAnimation((Activity)context, ((HFModeWidget)context).getPendingTransition());
			}
		}
		return HFErrorCode.HF_SUCCESS;
	}	
	public static void setOptimized(Intent intent) {
		if(intent != null) {
			intent.putExtra(KEY_OPTIMIZED_CODE, true);
		}
	}
	/*======================================================
	: һģʽ
	:   pendingTransition	[in] ָģʽл
	ֵ:  ģʽ
	˵: ǰģʽջջģʽReEnter
	======================================================*/
	public static HFModeWidget returnMode( int pendingTransition) {
		return returnMode(getCurrentMode(), pendingTransition);
	}
	public static HFModeWidget returnMode() {
		HFModeWidget mode = getCurrentMode();
		if(mode != null) {
			return returnMode(mode);
		}
		return mode;
	}
	public static HFModeWidget returnMode(HFModeWidget mode, int pendingTransition) {
		return returnMode(mode,pendingTransition,false);
	}
	public static HFModeWidget returnMode(HFModeWidget mode, int pendingTransition,boolean isTag) {
		if(mode != null) {
			Context context = mode.getContext();
			if(context != null) {
			//ģʽonDestroypopModeӲܳջ
				if(	mode instanceof HFMapActivity || mode instanceof HFModeFragment) {
					if((mode instanceof HFModeFragment) && isSaveInstanceState() == true)
						return mode;
					//synchronized(mModeStacks){
					if(mode.returnFragment(mode, pendingTransition,isTag) != null) {
						return mode;
					}
					if(mode instanceof HFMapActivity)  //HFMapActivity,ֱӷزӦ˳
						return mode;
					//}
				}
				((Activity)context).finish();	
				popMode();
				overrideFinishAnimation((Activity)context, pendingTransition);
			}
		}
		return mode;
	}
	public static HFModeWidget returnMode(HFModeWidget mode) {
		if(mode != null) {
			return returnMode(mode, mode.getPendingTransition());
		}
		return mode;
	}
	/** Ƿǵģʽģʽջʱ򲻵onReEnter
	 * @param isTag
	 * @return
	 * @return HFModeWidget
	 * @author LiangYJ
	 * @date 20151119 5:44:14
	 */ 
	public static HFModeWidget returnMode(boolean isTag) {
		HFModeWidget mode = getCurrentMode();
		if(mode != null) {
			return returnMode(mode,mode.getPendingTransition(),isTag);
		}
		return mode;
	}
	/*======================================================
	: صģʽ
	:   
	ֵ:  ģʽ
	˵: ģʽջģʽReEnter
	======================================================*/
	public static HFModeWidget exitMode(int pendingTransition) {
		return returnToMode(mMainMode, pendingTransition);
	}
	public static HFModeWidget exitMode() {
		return returnToMode(mMainMode);
	}
	/*======================================================
	: ģʽջ
	:  
	ֵ:  
	======================================================*/
	private static void createModeStacks() {
		if(mModeStacks == null) {
			mModeStacks = new Vector<HFModeWidget>();
		}
	}
	
	/*======================================================
	: ģʽջ
	:   in_pMode [in] ģʽָ
	ֵ:  =0: ɹ; >0: ʧ
	======================================================*/
	protected static int pushMode(HFModeWidget mode) {
		createModeStacks();
		synchronized(mModeStacks){
			if(mModeStacks != null && mode != null) {
				mModeStacks.add(mode);
			}
		}
		return HFErrorCode.HF_SUCCESS;
	}
	/*======================================================
	: ģʽջ
	:   
	ֵ:  ģʽָ
	======================================================*/
	protected static HFModeWidget popMode() {
		HFModeWidget mode = null;
		synchronized(mModeStacks){
			if(mModeStacks != null && mModeStacks.size() > 0) {
				mode = mModeStacks.get(mModeStacks.size() - 1);
				if(mModeStacks.size() > 1)
				  mModeStacks.remove(mode);
			}
		}
		return mode;
	}
	public static HFModeWidget popActivityMode(){
		return popMode();
	}
	/*======================================================
	: ģʽջ
	:   
	ֵ:  ģʽָ
	======================================================*/
	protected static HFModeWidget popMode(Object mode) {
		synchronized(mModeStacks){
			if(mModeStacks != null && mModeStacks.size() > 0) {
				mModeStacks.remove(mode);
			}
		}
		return (HFModeWidget) mode;
	}	
	/*======================================================
	: ȡǰģʽ
	:   
	ֵ:  ģʽָ
	˵: ǰģʽջģʽ
	======================================================*/
	public static HFModeWidget getCurrentMode() {
		
		for (int i = 0; i < 10; i++) {
			try {
				synchronized (mModeStacks) {
					HFModeWidget mode = null;
					if (mModeStacks != null && mModeStacks.size() > 0) {
						mode = mModeStacks.get(mModeStacks.size() - 1);
						if (mode != null) {
							mode = mode.getCurrentMode();
						}
					}
					return mode;
				}
			} catch (Exception err) {
//				return getCurrentMode();
			}
		}
		return null;

	}
	/*======================================================
	: ȡǰģʽ
	:   
	ֵ:  ģʽָ
	˵: ǰģʽջģʽ
	======================================================*/
	public static Context getCurrentContext() {
		HFModeWidget mode = getCurrentMode();
		if(mode != null) {
			return mode.getContext();
		}
		return null;
	}	
	/*======================================================
	: ȡǰһģʽ
	:   
	ֵ:  ģʽָ
	˵: ջģʽǰһģʽ
	======================================================*/	
	protected static HFModeWidget getPrevMode() {
		HFModeWidget mode = null;
		synchronized(mModeStacks){
			if(mModeStacks != null && mModeStacks.size() > 1) {
				mode = mModeStacks.get(mModeStacks.size() - 2);
			}
			return mode;
		}
	}
	/*======================================================
	: ģʽ
	:   
	        in_pcModeName    [in]  ģʽ
	ֵ:  =0: ɹ; >0: ʧ
	======================================================*/
	public static int setMainMode(String modeName) {
		mMainMode = modeName;
		return HFErrorCode.HF_SUCCESS;
	}
	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	public static HFModeWidget returnToMode(String modeName, int pendingTransition) {
		HFModeWidget mode = null;
		Context context = null;
		for(int index = mModeStacks.size() -1; index >= 0; index--) {
			
			mode = mModeStacks.get(index);
			if(mode.getName()!=null && 0 == mode.getName().compareTo(modeName)) {
				return mode;
			}
			else if(mode instanceof HFMapActivity) {
				if(isSaveInstanceState() == true){
					mLastReturnMode = modeName;
					return mode;
				}
				//synchronized(mModeStacks){
	
				if(mode.returnToFragment(modeName, pendingTransition) != null) {
					return mode;
				}
				//}
				return mode; //HFMapActivityӦ˳
			}
			context = mode.getContext();
			//ģʽOnDestroyбִгջ
			((Activity)context).finish();
			popMode();
			overrideFinishAnimation((Activity)context, pendingTransition);			
		}
		return null;
	}
	public static HFModeWidget returnToMode(String modeName) {
		returnToMode(modeName,false);
		return null;
	}
	
	/** ˻ģʽ
	 * 
	 * @param modeName
	 * @param checkExist Ƿջдͬģʽ򱣳ֵ
	 * @return
	 * @return HFModeWidget
	 * @author LiangYJ
	 * @date 20151119 5:45:26
	 */ 
	public static HFModeWidget returnToMode(String modeName,boolean checkExist) {
		HFModeWidget mode = null;
		Context context = null;
		for(int index = mModeStacks.size() -1; index >= 0; index--) {
			mode = mModeStacks.get(index);
//			if(mode.getName()!= null && 0 == mode.getName().compareTo(modeName)) {
//				return mode;
//			}
//			else
			if(mode instanceof HFMapActivity) {
				if(isSaveInstanceState() == true){
					mLastReturnMode = modeName;
					return mode;
				}
				//synchronized(mModeStacks){
				if(!checkExist){
					if (mode.returnToFragment(modeName, mode.getPendingTransition()) != null) {
						return mode;
					}
				}else{
					if(mode.isExistFragment(modeName)){
						if (mode.returnToFragment(modeName, mode.getPendingTransition(),true) != null) {
							returnMode(true);
							return mode;
						}
					}
				}
				
				//}
				return mode; //HFMapActivityӦ˳
			}			
			context = mode.getContext();
			//ģʽOnDestroyбִгջ
			((Activity)context).finish();
			popMode();
			overrideFinishAnimation((Activity)context, mode.getPendingTransition());
		}
		return null;
	}
	/*======================================================
	:    жģʽջǷָģʽģʽ
	:    strModeName  [in] ģʽ
	ֵ:  true   
	         false  
	======================================================*/
	public static boolean existMode(String modeName){
		HFModeWidget mode = null;
		for(int index = mModeStacks.size() -1; index >= 0; index--) {
			mode = mModeStacks.get(index);
			if(mode.getName() != null && 0 == mode.getName().compareTo(modeName)) {
				return true;
			}
		}
	    return false;
	}
	
	/*======================================================
	: ȡlayoutsļ·
	:    
	ֵ:  ·
	˵	Ŀļ·Ҫļָ"/Storage Card/Navione/layouts/"
      		·"/Storage Card/Navione/layouts"
	======================================================*/	
	public static String getLaoutsPath() {
		return mLaoutsPath;
	}
	/*======================================================
	: layoutsļ·
	:    
	ֵ:  ·
	˵	Ŀļ·Ҫļָ"/Storage Card/Navione/layouts/"
      		·"/Storage Card/Navione/layouts"
	======================================================*/		
	protected static void setLaoutsPath(String path) {
		HFModesManager.mLaoutsPath = path;
	}
	public static HFOnLaunchDrawableInterface getOnLaunchDrawableListener() {
		return mOnLaunchDrawableListener;
	}
	public static void setOnLaunchDrawableListener(HFOnLaunchDrawableInterface listener) {
		mOnLaunchDrawableListener = listener;
	}
	/*======================================================
	: ͼƬװͼƬԴ
	:   
	        ds    [in]  ͼƬԴ
	ֵ: drawable
	======================================================*/
	public interface HFOnLaunchDrawableInterface {
		public Drawable OnLaunchDrawable(int bitmap);
		public Drawable OnLaunchDrawable(Object bitmap);
	}
	//ȡDrawable
	public static Drawable getDrawable(int id) {
		Drawable drawable = null;
		HFOnLaunchDrawableInterface launcher = mOnLaunchDrawableListener;
		if(launcher != null){
			//drawable = launcher.OnLaunchDrawable(Integer.toString(id));
			drawable = launcher.OnLaunchDrawable(id);
		}
		return drawable;
	} 
	
	public static Drawable getDrawable(Object resInfo){
		Drawable drawable = null;
		HFOnLaunchDrawableInterface launcher = mOnLaunchDrawableListener;
		if(launcher != null){
			//drawable = launcher.OnLaunchDrawable(Integer.toString(id));
			drawable = launcher.OnLaunchDrawable(resInfo);
		}
		return drawable;
	}
	
	protected static Drawable getDrawable(HFDrawableWidget dw, int id) {
		Drawable drawable = null;
		if(dw != null && dw.getBitmap() != null) {
			Drawable dr = dw.getBitmap();
			if(dr != null && dr instanceof HFDynamicDrawable) {
				HFDynamicDrawable dd = (HFDynamicDrawable) dr;
				if(dd.getResourceId() == id && id != -1) {
					drawable = dd;
				}
			}
		}
		return drawable;
	}
	//ȡDrawable
	public static Drawable getDrawable(HFBaseWidget parent, int id) {
		Drawable drawable = null;
		HFDrawableWidget dw = parent.getDefaultDrawable();
		drawable = getDrawable(dw, id);
		if(drawable == null) {
			if(parent instanceof HFButtonWidget) {
				HFButtonWidget button = (HFButtonWidget) parent;
				dw = button.getClickDrawable();
				drawable = getDrawable(dw, id);
				if(drawable == null) {
					dw = button.getFocusDrawable();
					drawable = getDrawable(dw, id);
				}
				if(drawable == null) {
					dw = button.getDisableDrawable();
					drawable = getDrawable(dw, id);
				}				
			}
		}
		if(drawable == null) {
			if(parent instanceof HFImageWidget) {
				HFImageWidget image = (HFImageWidget) parent;
				Drawable dr = image.getImageDrawable();
				if(dr != null && dr instanceof HFDynamicDrawable) {
					HFDynamicDrawable dd = (HFDynamicDrawable) dr;
					if(dd.getResourceId() == id && id != -1) {
						drawable = dd;
					}
				}
			}
		}
		if(drawable == null) {
			drawable = new HFDynamicDrawable(parent, id, false,null);
		}
		return drawable;
	} 	
	/*=======================================================
	:
	    Ϣ
	
	:
	    in_Handle:Ϣľ
	    ulMsg:Ϣ
	    ulParams1:1
	    ulParams2:2
		
	ֵ:
	    != 0 ɹ---bool
	=======================================================*/
	//typedef long (*pfnNAVI_HC_OSEX_SENDANDPOSTMESSAGE)(void*in_Handle, unsigned long ulMsg,
														//unsigned long ulParams1, unsigned long ulParams2);
	public static int sendMessage(Object in_Handle, int msgId, Object params1, Object params2) {
		HFModeWidget mode = getCurrentMode();
		if(mode != null) {
			return mode.sendMessage(in_Handle, msgId, params1, params2);
		}
		return 0;
	}
	public static int sendMessageDelayed(Object in_Handle, int msgId, Object params1, Object params2,long delayMillis) {
		HFModeWidget mode = getCurrentMode();
		if(mode != null) {
			return mode.sendMessageDelayed(in_Handle, msgId, params1, params2, delayMillis);
		}
		return 0;
	}
	/*======================================================
	: ʾʾϢ
	:   
	        message [in]  Ϣ
	ֵ: 
	======================================================*/
	public static void showMessage(String message) {
		Context mode = getCurrentContext();
		if(mode != null) {
			HFToastMessage.showMessage(mode, message);
		}
	}
	/*======================================================
	: ʾʾϢ
	:   
	        message 	[in]  Ϣ
	        duration 	[in]  Իʾʱ	
	ֵ: 
	======================================================*/
	public static void showMessage(String message, int duration) {
		Context mode = getCurrentContext();
		if(mode != null) {
			HFToastMessage.showMessage(mode, message, duration);
		}
	}	
	/*======================================================
	: ʾԲνʾϢ
	:   
			title		[in]  ʾıϢ	
	        message 	[in]  Ϣ
	       
	ֵ: 
	======================================================*/
	public static void showProgress(String title, String message) {
		Context mode = getCurrentContext();
		if(mode != null) {
			HFProgressMessage.showProgress(mode, title, message);
		}
	}	
	/*======================================================
	: ʾԲνʾϢ
	:   
	      message 	[in]  Ϣ
	       
	ֵ: 
	======================================================*/
	public static void showProgress(String message) {
		Context mode = getCurrentContext();
		if(mode != null) {
			HFProgressMessage.showProgress(mode, null, message);
		}
	}	
	
	public static void cancelProgress() {
		Context mode = getCurrentContext();
		if(mode != null) {
			HFProgressMessage.cancelProgress(mode);
		}
	}
	
	public static boolean isShowingProgress() {
	   return HFProgressMessage.isShowingProgress();
	}
	
	
	/*======================================================
	: ʾʾϢ
	:   
	        message 	[in]  Ϣ
	        duration 	[in]  Իʾʱ	
	ֵ: 
	======================================================*/
	public static void showDialog(	String message, 
									DialogInterface.OnClickListener positiveListener) {
		Context mode = getCurrentContext();
		if(mode != null) {
			HFDialogMessage.showDialog(mode, null, "ʾ", message, HFMessageBoxType.eMSGBOX_OK, positiveListener, null, null);
		}
	}	
	/*======================================================
	: ʾʾϢ
	:   
	        message 	[in]  Ϣ
	        duration 	[in]  Իʾʱ	
	ֵ: 
	======================================================*/
	public static void showDialog(	String message, 
									DialogInterface.OnClickListener positiveListener,
									DialogInterface.OnClickListener negativeListener) {
		
		Context mode = getCurrentContext();
		if(mode != null) {
			HFDialogMessage.showDialog(mode, null, "ʾ", message, HFMessageBoxType.eMSGBOX_OKCancel, positiveListener, negativeListener, null);
		}
	}	
	/*======================================================
	: ʾʾϢ
	:   
	        message 	[in]  Ϣ
	        duration 	[in]  Իʾʱ	
	ֵ: 
	======================================================*/
	public static void showDialog(	String title,
									String message, 
									DialogInterface.OnClickListener positiveListener,
									DialogInterface.OnClickListener negativeListener) {
		
		Context mode = getCurrentContext();
		if(mode != null) {
			HFDialogMessage.showDialog(mode, null, title, message, HFMessageBoxType.eMSGBOX_OKCancel, positiveListener, negativeListener, null);
		}
	}		
	/*======================================================
	: رԲνʾϢ
	:   
	       
	ֵ: 
	======================================================*/
	public static void closeProgress() {
		Context mode = getContext();
		if(mode != null) {
			HFProgressMessage.closeProgress(mode);
		}
	}	
	/*======================================================
	: رԲνʾϢ
	:   
	       
	ֵ: 
	======================================================*/
	public static Context getContext() {
		return getCurrentContext();
	}	
	/**
	* ýлʱЧ
	*
	* @param context ҪýЧActivity
	* @param 
	* @return
	*/
	protected static void overridePendingTransition(Activity context, int enterAnim, int exitAnim) {
		int version = android.os.Build.VERSION.SDK_INT;
		//汾 2.0activityķתʽ
		if(version > MIN_ANIMATION_VERSION) {
			context.overridePendingTransition(enterAnim, exitAnim);				
		}	
	}	
	/**
	* лЧ
	*
	* @param  context ҪýЧActivity
	* @param  enableAnim Ƿ
	* @return
	*/
	protected static void overrideStartAnimation(Activity context, int pendingTransition) {
		//ʱ
		setTempTransition(pendingTransition);
		if(pendingTransition == HFPendingTransition.ePendingTransition_Nothing) {
			overridePendingTransition(context, 0, 0);
		}
		else {
			HFPendingAnimation animation = getPendingTransition(pendingTransition);
			if(animation != null) {
				HFPendingFrame sanim = animation.getStartAnimation();
				if(sanim != null) {
					overridePendingTransition(context, sanim.getEnterAnim(), sanim.getExitAnim());
				}
			}
		}
	}
	/**
	* лЧ
	*
	* @param  context ҪýЧActivity
	* @param  enableAnim Ƿ
	* @return
	*/
	protected static void overrideStartAnimation(FragmentTransaction context, int pendingTransition) {
		overrideStartAnimation(context,pendingTransition,true);
	}	
	/**
	* лЧ
	*
	* @param  context ҪýЧActivity
	* @param  enableAnim Ƿ
	* @param  hasExistAnim Ƿ˳
	* @return
	*/
	protected static void overrideStartAnimation(FragmentTransaction context, int pendingTransition,boolean hasExistAnim) {
		//ʱ
		setTempTransition(pendingTransition);
		if(pendingTransition == HFPendingTransition.ePendingTransition_Nothing) {
			context.setCustomAnimations(0, 0, 0, 0);
		}
		else {
			HFPendingAnimation animation = getPendingTransition(pendingTransition);
			if(animation != null) {
				HFPendingFrame sanim = animation.getStartAnimation();
				HFPendingFrame fanim = animation.getFinishAnimation();
				if(sanim != null && fanim != null) {
					if(hasExistAnim)
					    context.setCustomAnimations(sanim.getEnterAnim(), sanim.getExitAnim(), 
												fanim.getEnterAnim(), fanim.getExitAnim());
					else
						context.setCustomAnimations(sanim.getEnterAnim(), 0, 
								fanim.getEnterAnim(), 0);
				}
			}
		}
	}	
	/**
	* лЧ
	*
	* @param  context ҪýЧActivity
	* @param  enableAnim Ƿ
	* @return
	*/
	protected static void overrideFinishAnimation(Activity context, int pendingTransition) {
		if(pendingTransition == HFPendingTransition.ePendingTransition_Nothing) {
			overridePendingTransition(context, 0, 0);
		}
		else {
			HFPendingAnimation animation = getPendingTransition(pendingTransition);
			if(animation != null) {
				HFPendingFrame sanim = animation.getFinishAnimation();
				if(sanim != null) {
					overridePendingTransition(context, sanim.getEnterAnim(), sanim.getExitAnim());
				}
			}
		}
	}
	/**
	* ʱǷȫ
	*
	* @param  
	* @param  
	* @return ȫ־
	*/
	public static boolean isFullScreen() {
		return mIsFullScreen;
	}
	/**
	* ôʱǷȫ
	*
	* @param  isFullScreen ȫ־
	* @param  
	* @return 
	*/
	public static void setFullScreen(boolean isFullScreen) {
		mIsFullScreen = isFullScreen;
	}
	/**
	* ĻĿ
	*
	* @param  width  Ļ
	* @param  height Ļ
	* @return 
	*/	
	public static void setScreenPixels(int width, int height) {
		mScreenWidth = width;
		mScreenHeight = height;
	}
	/**
	* ȡĻĿ
	*
	* @param  
	* @param  
	* @return 
	*/		
	public static int getScreenWidth() {
		return mScreenWidth;
	}
	/**
	* ȡĻĸ
	*
	* @param  
	* @param  
	* @return 
	*/		
	public static int getScreenHeight() {
		return mScreenHeight;
	}
	/**
	* ǷԶģʽ
	*
	* @param  
	* @param  
	* @return 
	*/		
	public static boolean isScaleMode() {
		return isScaleMode;
	}
	/**
	* ǷԶģʽ
	*
	* @param  isScaleMode Զű־
	* @param  
	* @return 
	*/		
	public static void setScaleMode(boolean flag) {
		isScaleMode = flag;
	}	
	/**
	* ȡǰģʽĶ
	*
	* @param  
	* @param  
	* @return 
	*/		
	public static int getDefaultTransition() {
		return mDefaultTransition;
	}
	/**
	* õǰģʽĶ
	*
	* @param  defaultTransition [in] 
	* @param  
	* @return 
	*/		
	public static void setDefaultTransition(int defaultTransition) {
		mDefaultTransition = defaultTransition;
	}
	/**
	* ȡǰģʽʱ
	*
	* @param  
	* @param  
	* @return 
	*/			
	protected static int getTempTransition() {
		return mTempTransition;
	}
	/**
	* õǰģʽʱ
	*
	* @param  transition [in] 
	* @param  
	* @return 
	*/			
	protected static void setTempTransition(int transition) {
		mTempTransition = transition;
	}		
	/**
	* ݶҵӦĶId
	*
	* @param  pendingTransition [in] 
	* @param  
	* @return Id
	*/		
	protected static HFPendingAnimation findPendingTransition(int pendingTransition) {
		if(mPendingAnimations != null && mPendingAnimations.size() > 0) {
			int index;
			HFPendingAnimation animation;
			for(index= 0; index < mPendingAnimations.size(); index++) {
				animation = mPendingAnimations.get(index);  
				if( animation.getPendingTransition()== pendingTransition) {
					return animation;
				}
			}
		}
		return null;
	}
	/**
	* ӶId
	*
	* @param  pendingTransition [in] 
	* @param  startEnterAnim [in] ģʽʱĶĵһ
	* @param  startExitAnim  [in] ģʽʱĶĵڶ
	* @param  finishEnterAnim [in] ģʽʱĶĵһ
	* @param  finishExitAnim  [in] ģʽʱĶĵڶ
	* @return 
	*/		
	public static void addPendingTransition(	int pendingTransition, 
												int startEnterAnim, int startExitAnim,
												int finishEnterAnim, int finishExitAnim) {
		
		HFPendingAnimation animation = findPendingTransition(pendingTransition);
		if(animation == null) {
			animation = new HFPendingAnimation();
		}
		animation.setPendingTransition(pendingTransition);
		animation.setStartAnimation(new HFPendingFrame(startEnterAnim, startExitAnim));
		animation.setFinishAnimation(new HFPendingFrame(finishEnterAnim, finishExitAnim));
		addPendingTransition(animation);
	}
	/**
	* ӶId
	*
	* @param  animation [in] 
	* @return 
	*/	
	public static void addPendingTransition(HFPendingAnimation animation) {
		if(animation != null) {
			if(mPendingAnimations == null) {
				mPendingAnimations = new ArrayList<HFPendingAnimation>();
			}
			else {
				HFPendingAnimation fanim = findPendingTransition(animation.getPendingTransition());
				if(fanim != null) {
					mPendingAnimations.remove(fanim);
				}
			}
			mPendingAnimations.add(animation);
		}
	}
	/**
	* ݶҵӦĶId
	*
	* @param  name [in] 
	* @param  
	* @return Id
	*/		
	protected static int getIdentifier(String name) {
		int id = 0;
		Context context = HFModesManager.getContext();
		if(context != null) {
			id = context.getResources().getIdentifier(	name, 
														HFDefaultTransition.eDefaultTransition_Token, 
														context.getPackageName());
		}		
		return id;
	}
	/**
	* ݶҵӦĶId
	*
	* @param  pendingTransition [in] 
	* @param  
	* @return Id
	*/		
	protected static HFPendingAnimation getPendingTransition(int pendingTransition) {
		HFPendingAnimation animation = findPendingTransition(pendingTransition);
		if(animation == null) {
			int idsi = 0, idso = 0, idfi = 0, idfo = 0;
			if(pendingTransition == HFPendingTransition.ePendingTransition_LeftRight) {
				idsi 	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushRightIn);
				idso 	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushRightOut);
				idfi	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushLeftIn);
				idfo	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushLeftOut);
			} else if(pendingTransition == HFPendingTransition.ePendingTransition_RightLeft){
				idsi 	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushLeftIn);
				idso 	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushLeftOut);
				idfi	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushRightIn);
				idfo	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushRightOut);
			}
			else if(pendingTransition == HFPendingTransition.ePendingTransition_UpDown) {
				idsi 	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushDownIn);
				idso 	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushDownOut);
				idfi	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushUpIn);
				idfo	= getIdentifier(HFDefaultTransition.eDefaultTransition_PushUpOut);				
			}else if(pendingTransition == HFPendingTransition.ePendingTransition_DownUp){
				idfi = getIdentifier(HFDefaultTransition.eDefaultTransition_PushDownIn);
				idfo = getIdentifier(HFDefaultTransition.eDefaultTransition_PushDownOut);
				idsi = getIdentifier(HFDefaultTransition.eDefaultTransition_PushUpIn);
				idso = getIdentifier(HFDefaultTransition.eDefaultTransition_PushUpOut);
			}
			if(idsi != 0 && idso != 0 && idfi != 0 && idfo != 0) {
				animation = new HFPendingAnimation();
				animation.setPendingTransition(pendingTransition);
				animation.setStartAnimation(new HFPendingFrame(idsi, idso));
				animation.setFinishAnimation(new HFPendingFrame(idfi, idfo));	
				addPendingTransition(animation);
			}
		}
		return animation;
	}
	/**
	* ȡǰĺϢ
	*
	* @param  
	* @param  
	* @return Ϣ
	*/			
	public static int getOrientation() {
		return mOrientation;
	}
	/**
	* ȡǰĺϢ
	*
	* @param  orientation [in] Ϣ
	* @param  
	* @return 
	*/			
	protected static void setOrientation(int orientation) {
		HFModesManager.mOrientation = orientation;
	}
	/**
	* л
	*
	* @param  mOrientation 		[in] Ϣ
	* @param  in_pLayoutsDir 	[in] ļ·
	* @return true: лɹ
	* 		  false: лʧ	
	*/		
	public static boolean changeOrientation(int orientation, String in_pLayoutsDir) {
		//뵱ǰ·ͬ˳
		if(	in_pLayoutsDir == null) {
			return false;
		}
		if(	getOrientation() == orientation 
			|| in_pLayoutsDir.equalsIgnoreCase(getLaoutsPath())) {
			return false;
		}
		//лǰĲļĿ¼
		HFModesManager.setLaoutsPath(in_pLayoutsDir);
		//õǰķ
		HFModesManager.setOrientation(orientation);
		//ú
		setOrientation(orientation);		
		
		return true;
	}
	/**
	* ģʽĳʼ
	*
	* @param  mOrientation 		[in] Ϣ
	* @param  in_pLayoutsDir 	[in] ļ·
	* @return 
	*/
	public static void init(int orientation, String in_pLayoutsDir) {
		changeOrientation(orientation, in_pLayoutsDir);
	}
	
	private static native int hfInit();
	public static int initLayouts(){
		return hfInit();
	}
	private static native int hfUninit();
	public static int unInitLayouts(){
		return hfUninit();
	}
	/**
	 * 
	 * @param in_pLayoutProj
	 * @return
	 */
	private static native int hfAddProject(String in_pLayoutProj,int in_eOrientation);
	public static int addProject(String in_pLayoutProj,int in_eOrientation){
       return hfAddProject(in_pLayoutProj,in_eOrientation);
	}
	
	private static native int hfLoadProjects();
	public static int loadProjects(){
		return hfLoadProjects();
	}
	
	
	/**
	 * 
	 * @param in_lIndex
	 * @return
	 */
	private static native int hfSwitchProject(int in_lIndex,int in_eOrientation);
	public static int switchProject(int in_lIndex,int in_eOrientation){
		return hfSwitchProject(in_lIndex,in_eOrientation);
	}
	
	/**
	 * 
	 * @param in_lPrjIndex
	 * @param in_pModeName
	 * @param in_pWidgetName
	 * @return
	 */
	private static native boolean hfFindProject(int in_lPrjIndex, String in_pModeName, String in_pWidgetName);
	public static boolean findProject(int in_lPrjIndex, String in_pModeName, String in_pWidgetName){
		return hfFindProject(in_lPrjIndex,in_pModeName,in_pWidgetName);
	}

	private static native boolean hfGetColor(Object in_out_lColorId,int in_lIsDay);
	public static boolean getColor(HFLongResult in_out_lColorId,int in_lIsDay){
		return hfGetColor(in_out_lColorId,in_lIsDay);
	}
	
	//Ͷ
	public static class HFPendingTransition {
		public static final int ePendingTransition_Nothing 		=	0;
		public static final int ePendingTransition_Default 		=	1; //ϵͳĬ
		public static final int ePendingTransition_LeftRight	=	2; //
		public static final int ePendingTransition_RightLeft	=	3; //
		public static final int ePendingTransition_UpDown		=	4; //
		public static final int ePendingTransition_ZoomInOut	=	5; //ŴС
		public static final int ePendingTransition_DownUp = 6; // Զ0ƣ෴Ķ
		public static final int ePendingTransition_Custom1		=	7; //Զ1
		public static final int ePendingTransition_Custom2		=	8; //Զ2
		public static final int ePendingTransition_Custom3		=	9; //Զ3
		public static final int ePendingTransition_Custom4		=	10; //Զ4
		public static final int ePendingTransition_Custom5		=	11;//Զ5
		public static final int ePendingTransition_Custom6		=	12; //Զ6
		public static final int ePendingTransition_Custom7		=	13; //Զ7
		public static final int ePendingTransition_Custom8		=	14; //Զ8
		public static final int ePendingTransition_Custom9		=	15; //Զ9
	}
	//ĬϵлId
	public static final class HFDefaultTransition {
		protected static final String eDefaultTransition_Token		=	"anim";
		public static final String eDefaultTransition_PushRightIn	=	"hf_push_right_in";  //(in)
		public static final String eDefaultTransition_PushRightOut	=	"hf_push_right_out"; //(out)
		public static final String eDefaultTransition_PushLeftIn	=	"hf_push_left_in";  //(in)
		public static final String eDefaultTransition_PushLeftOut	=	"hf_push_left_out"; //(out)
		public static final String eDefaultTransition_PushDownIn	=	"hf_push_down_in";  //(in)
		public static final String eDefaultTransition_PushDownOut	=	"hf_push_down_out"; //(out)	
		public static final String eDefaultTransition_PushUpIn		=	"hf_push_up_in";  	//(in)
		public static final String eDefaultTransition_PushUpOut		=	"hf_push_up_out"; 	//(out)		
	}
	//ṹ
	public static class HFPendingFrame {
		private int mEnterAnim = 0;
		private int mExitAnim = 0;
		public HFPendingFrame(int enterAnim, int exitAnim) {
			setAnimation(enterAnim, exitAnim);
		}
		public void setAnimation(int enterAnim, int exitAnim) {
			setEnterAnim(enterAnim);
			setExitAnim(exitAnim);
		}
		public int getEnterAnim() {
			return mEnterAnim;
		}
		public void setEnterAnim(int enterAnim) {
			mEnterAnim = enterAnim;
		}
		public int getExitAnim() {
			return mExitAnim;
		}
		public void setExitAnim(int exitAnim) {
			mExitAnim = exitAnim;
		}
	}
	//ģʽرն
	public static class HFPendingAnimation {
		private int mPendingTransition = 0;
		private HFPendingFrame mStartAnimation = null;
		private HFPendingFrame mFinishAnimation = null;
		
		public HFPendingAnimation(){
		}
		public HFPendingAnimation(	int pendingTransition,
									HFPendingFrame startAnimation, 
									HFPendingFrame finishAnimation) {	
			setPendingAnimation(pendingTransition, startAnimation, finishAnimation);
		}
		public void setPendingAnimation(int pendingTransition,
										HFPendingFrame startAnimation, 
										HFPendingFrame finishAnimation) {
			setStartAnimation(startAnimation);
			setFinishAnimation(finishAnimation);
		}
		public HFPendingFrame getStartAnimation() {
			return mStartAnimation;
		}
		public void setStartAnimation(HFPendingFrame animation) {
			mStartAnimation = animation;
		}
		public HFPendingFrame getFinishAnimation() {
			return mFinishAnimation;
		}
		public void setFinishAnimation(HFPendingFrame animation) {
			mFinishAnimation = animation;
		}
		public int getPendingTransition() {
			return mPendingTransition;
		}
		public void setPendingTransition(int pendingTransition) {
			mPendingTransition = pendingTransition;
		}
	}
	//Ļʾ
	public static class HFOrientation	{
		public final static int eOrientation_Unknown      = 0x00; //δ֪
		public final static int eOrientation_Landscape    = 0x01; //
		public final static int eOrientation_Portrait     = 0x02; //
		public final static int eOrientation_Square		  = 0x03; //	
	};
	/**
	* Ļлӿ
	*
	* @param  mode 				[in] ǰģʽ
	* @param  mOrientation 		[in] Ϣ
	* @return true: ǰģʽл
	*         false: ֹǰģʽл
	*/
	public interface HFOnChangeOrientationInterface {
		public boolean OnChangeOrentation(HFModeWidget mode, int orientation); 
	} 
	//Ļл¼ӿ
	private static HFOnChangeOrientationInterface mOnChangeorientationListener = null;
	/**
	* ȡĻлӿ
	*
	* @param  
	* @param  
	* @return 
	*/	
	public static HFOnChangeOrientationInterface getOnChangeOrientationListener() {
		return mOnChangeorientationListener;
	}
	/**
	* Ļлӿ
	*
	* @param  listener [in] лӿ
	* @param  
	* @return 
	*/		
	public static void setOnChangeOrientationListener(HFOnChangeOrientationInterface listener) {
		mOnChangeorientationListener = listener;
	}
	public static float getXdpi() {
		return mXdpi;
	}
	public static void setXdpi(float mXdpi) {
		HFModesManager.mXdpi = mXdpi;
	}
	public static float getYdpi() {
		return mYdpi;
	}
	public static void setYdpi(float mYdpi) {
		HFModesManager.mYdpi = mYdpi;
	}	
	public static void setXYdpi(float mXdpi,float mYdpi) {
		HFModesManager.mXdpi = mXdpi;
		HFModesManager.mYdpi = mYdpi;
	}
	public static int getStatusBarHeight() {
		return mStatusBarHeight;
	}
	public static void setStatusBarHeight(int mStatusBarHeight) {
		HFModesManager.mStatusBarHeight = mStatusBarHeight;
	}
	public static int getDesignBarHeight() {
		return mDesignBarHeight;
	}
	public static void setDesignBarHeight(int designBarHeight) {
		 mDesignBarHeight = designBarHeight;
	}
	public static void scaleCoords(HFWidgetBound bound,double xScale,double yScale){
		if(bound != null && HFModesManager.isScaleMode()) {
			bound.setLeft((int) Math.ceil(bound.getLeft()* xScale));
			bound.setTop((int) Math.ceil(bound.getTop()* yScale));
			bound.setWidth((int) Math.ceil(bound.getWidth() * xScale));
			bound.setHeight((int) Math.ceil(bound.getHeight() * yScale));
		}
	}
	public static boolean isSaveInstanceState() {
		return mSaveInstanceState;
	}
	public static void setSaveInstanceState(boolean mSaveInstanceState) {
		HFModesManager.mSaveInstanceState = mSaveInstanceState;
	}
	public static int getMapModeState() {
		return mMapModeState;
	}
	public static void setMapModeState(int mMapModeState) {
		HFModesManager.mMapModeState = mMapModeState;
		if (HFModeActivityState.ActivityState_onOnDestroy == mMapModeState) {
			HPMapAPI.setMapExist(false);
		} else {
			HPMapAPI.setMapExist(true);
		}
	}
	public static void inflate() {
		HFModeWidget mode = getCurrentMode();
		if(mode != null) 
			mode.inflate();
	}
	
	public static int getOnClickTimeInterval(){
		return mOnClickTimeInterval;
	}
	
	public static void setOnClickTimeInterval(int clickTimeInterval){
		mOnClickTimeInterval = clickTimeInterval;
	}
	

	/** ȫģʽ
	 * 
	 * @return void
	 * @author LiangYJ
	 * @date 2015-7-27 10:52:08
	 */ 
	public static void clearModes(){
		if(mMapMode != null){
			mMapMode.clearModes();
		}
		shouldResetScreenOnFrameCreate = false;
		resetLayoutOnCurrentMode = true;
	}
	
	/** ͳƼصӿ
	 * @param analyticsListener
	 * @return void
	 * @author LiangYJ
	 * @date 2015-7-29 8:59:48
	 */ 
	public static void setAnalyticsListener(HFAnalyticsListener analyticsListener){
		mAnalyticsListener = analyticsListener;
	}
	
	public static HFAnalyticsListener getAnalyticsListener(){
		return mAnalyticsListener;
	} 
	
	/** Ƿģʽ
	 * @param isLandScape
	 * @return void
	 * @author LiangYJ
	 * @date 2015-8-15 6:15:14
	 */ 
	public static void setIsLandScapeMode(boolean isLandScape){
		mIsLandScape = isLandScape;
	}
	
	public static boolean isLandScapeMode(){
		return mIsLandScape;
	}
	
	/** xyСѹȣϲԶ岼еС
	 * @return
	 * @return float
	 * @author LiangYJ
	 * @date 2015-8-19 6:03:43
	 */ 
	public static float getMinScale(){
		HFModeWidget modeWidget = getCurrentMode();
		float xScale = 1;
		float yScale = 1;
		if(modeWidget != null){
			xScale = modeWidget.getXScaleFactor();
			yScale = modeWidget.getYScaleFactor();
			
		}
		if(mScreenHeight > 0 && mScreenWidth > 0 && xScale == 1 && yScale == 1){
			xScale = mScreenWidth / 720f;
			yScale = mScreenHeight / 1280f;
		}
		return Math.min(xScale, yScale);
	}
	
	/** ȡˮƽֱֵ֮
	 * @param isHorizionǷˮƽ
	 * @param x
	 * @return
	 * @return int
	 * @author LiangYJ
	 * @date 2015-9-12 3:16:50
	 */ 
	public static int getScaleXY(boolean isHorizion,int x){
		HFModeWidget modeWidget = getCurrentMode();
		if(modeWidget != null){
			if(isHorizion)
				return (int) Math.round(x * modeWidget.getXScaleFactor());
			else
				return (int) Math.round(x * modeWidget.getYScaleFactor());
		}
		return x;
		
	}
	
	/** imageؼıͼƬ
	 * @param view
	 * @param resId
	 * @return void
	 * @author LiangYJ
	 * @date 2015-9-12 4:27:19
	 */ 
	public static void setDrawable(HFBaseWidget view,int resId){
		if(view != null && resId > 0){
			if(view instanceof HFImageWidget)
			    ((HFImageWidget)view).setImageDrawable(new HFDynamicDrawable(null, resId, false, null));
			else {
				HFDrawableWidget drawableWidget = new HFDrawableWidget();
				drawableWidget.setEffect(HFDrawableEffect.eDrawableEffect_Bitmap);
				drawableWidget.setBitmap(new HFDynamicDrawable(null, resId, false, null));
				view.setDefaultDrawable(drawableWidget);
			}
		}
	}
	
	/** imageؼıͼƬ
	 * @param view
	 * @param resId
	 * @return void
	 * @author LiangYJ
	 * @date 2015-9-12 4:27:19
	 */ 
	public static void setDrawable(View view,int resId){
		if(view != null && resId > 0){
			if(view instanceof ImageView)
			    ((ImageView)view).setImageDrawable(new HFDynamicDrawable(null, resId, false, null));
			else {
				int sdk = android.os.Build.VERSION.SDK_INT;
				if(sdk < android.os.Build.VERSION_CODES.JELLY_BEAN){
					view.setBackgroundDrawable(new HFDynamicDrawable(null, resId, false, null));
				}else{
					view.setBackground(new HFDynamicDrawable(null, resId, false, null));
				}
				
			}
		}
	}
	
	
	/** textItemΪʾıݣͬʱƶwidgets꣬ListViewеͼʾ
	 * @param textItemҪʾĿؼ
	 * @param contentıʾݣʵӦʾĸ߶
	 * @param widgetsҪƶĿؼб
	 * @return void
	 * @author LiangYJ
	 * @date 2015-9-16 10:01:59
	 */ 
	@SuppressLint("NewApi")
	public static void setMultiLines(HFTextItem textItem,String content,HFBaseWidget[] widgets){
		if(textItem != null){

			textItem.setMultiLines(true);
			textItem.setText(content);
			if(textItem.getTag() != null){
				return;
			}
				
			
			HFWidgetBound bound = textItem.getBound();
			int oldHeight = 0;
			if(bound != null){
				oldHeight = bound.getHeight();
				bound.setHeight(LayoutParams.WRAP_CONTENT);
				textItem.setBound(bound);
			}
			measureView(textItem.getObject());
			//ıʾӵĸ߶
			int addHeight = textItem.getObject().getMeasuredHeight() - oldHeight;
			if(addHeight < 0)
				oldHeight = 0;
			
			//޸Ŀؼy꣬ؼy꣬ԭĻϼıʾӵĸ߶
			if(widgets != null){
				for (HFBaseWidget hfBaseWidget : widgets) {
					if(hfBaseWidget != null){
						HFWidgetBound hfWidgetBound = hfBaseWidget.getBound();
						if(hfWidgetBound != null){
							hfWidgetBound.setTop(hfWidgetBound.getTop() + addHeight);
							hfBaseWidget.setBound(hfWidgetBound);
						}
					}
				}
				widgets = null;
			}
			textItem.setTag(1);
		}
	}
	
	@SuppressLint("NewApi")
	public static void measureView(View pChild) {
		ViewGroup.LayoutParams p = pChild.getLayoutParams();
		if (p == null) {
			p = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT,
					ViewGroup.LayoutParams.WRAP_CONTENT);
		}
		int childWidthSpec = ViewGroup.getChildMeasureSpec(0, 0 + 0, p.width);
		int lpHeight = p.height;

		int childHeightSpec;
		if (lpHeight > 0) {
			childHeightSpec = MeasureSpec.makeMeasureSpec(lpHeight,
					MeasureSpec.EXACTLY);
		} else {
			childHeightSpec = MeasureSpec.makeMeasureSpec(0,
					MeasureSpec.UNSPECIFIED);
		}
		pChild.measure(childWidthSpec, childHeightSpec);
	}
	
	/** صһûгɹصģʽ
	 * 
	 * @return void
	 * @author LiangYJ
	 * @date 20151210 12:04:00
	 */ 
	public static void returnLastMode(){
		if(!TextUtils.isEmpty(mLastReturnMode)){
			returnToMode(mLastReturnMode);
			mLastReturnMode = "";
		}
	}
	
	/** δ͵ضϢ
	 * 
	 * @return void
	 * @author LiangYJ
	 * @date 20151210 2:27:34
	 */ 
	public static void sendLastTargetMsg(){
		if(mTargetMsgId > 0){
			sendMessage2TargetMode(mTargetMsgId,mTargetObject,mTargetMode);
		}
	}
	
	/** Ϣ͸ضģʽ
	 * @param in_Handle
	 * @param msgId
	 * @param params1
	 * @param params2
	 * @param targetMode
	 * @return
	 * @return int
	 * @author LiangYJ
	 * @date 20151210 2:22:00
	 */ 
	public static int sendMessage2TargetMode(int msgId, Object params1,String targetMode) {
		HFModeWidget mode = getCurrentMode();
		if(mode != null) {
			if(TextUtils.isEmpty(targetMode)){
				return mode.sendMessage(null, msgId, params1, null);
			}else{
				if(targetMode.equals(mode.getName())){
					mTargetMsgId = -1;
					mTargetObject = null;
					mTargetMode = "";
					return mode.sendMessage(null, msgId, params1, null);
				}else{
					mTargetMsgId = msgId;
					mTargetObject = params1;
					mTargetMode = targetMode;
				}
			}
		}
		return 0;
	}
}
