package cnv.hf.widgets;

import android.content.Context;

public class HFUnitsUtils {
	 /**
	  * ȡdensityֵ 
	  *
	  * @param 
	  * @param 
	  * @return densityֵ
	  */
	public static float getDensity() {
		Context context = HFModesManager.getContext();
		if(context != null) {
			return context.getResources().getDisplayMetrics().density;
		}
		return 2.00f;
	}
	 /**
	  * ȡscaledDensityֵ 
	  *
	  * @param 
	  * @param 
	  * @return scaledDensityֵ
	  */
	public static float getScaledDensity() {
		Context context = HFModesManager.getContext();
		if(context != null) {
			return context.getResources().getDisplayMetrics().scaledDensity;
		}
		return 2.00f;
	}	
	 /**
	  * pxֵתΪdipdpֵ֤ߴС
	  *
	  * @param pxValue
	  * @param scaleDisplayMetricsdensity
	  * @return
	  */
	 public static int px2dip(float pxValue) {
		 float scale = getDensity();
		 return (int) (pxValue / scale + 0.5f);
	 }
	 /**
	  * dipdpֵתΪpxֵ֤ߴС
	  *
	  * @param dipValue
	  * @param scaleDisplayMetricsdensity
	  * @return
	  */
	 public static int dip2px(float dipValue) {
		 float scale = getDensity();
		 return (int) (dipValue * scale + 0.5f);
	 }
	 /**
	  * pxֵתΪspִֵ֤С
	  *
	  * @param pxValue
	  * @param fontScaleDisplayMetricsscaledDensity
	  * @return
	  */
	 public static int px2sp(float pxValue) {
		 float fontScale = getScaledDensity();
		 return (int) (pxValue / fontScale + 0.5f);
	 }
	 /**
	  * spֵתΪpxִֵ֤С
	  *
	  * @param spValue
	  * @param fontScaleDisplayMetricsscaledDensity
	  * @return
	  */
	 public static int sp2px(float spValue) {
		 float fontScale = getScaledDensity();
		 return (int) (spValue * fontScale + 0.5f);
	 }
}
